| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros | Variables
DC1989A.ino File Reference

Go to the source code of this file.

## Functions
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static void | print_warning_prompt ()
| Prints a warning if the demo board is not detected. More...
static void | menu_1_basic_commands ()

## Macros
#define | LTM4676_I2C_ADDRESS_0 0x45
| Linear Technology DC1989A Demonstration Board LTM4676: Dual Output PolyPhase Step-Down DC/DC Module with Digital Power System Management. More...
#define | LTM4676_I2C_ADDRESS_1 0x46
#define | LTM4676_I2C_ADDRESS_2 0x47
#define | LTM4676_I2C_ADDRESS_3 0x48
#define | LTM4676_I2C_ADDRESS_R 0x31

## Variables
static uint8_t | ltm4676_i2c_address_0
static uint8_t | ltm4676_i2c_address_1
static uint8_t | ltm4676_i2c_address_2
static uint8_t | ltm4676_i2c_address_3
static uint8_t | ltm4676_i2c_address_r
static uint8_t | pages [2]
static LT_SMBus * | smbus = new LT_SMBusPec()
static LT_PMBus * | pmbus = new LT_PMBus(smbus)
static LT_PMBusDetect * | detector = new LT_PMBusDetect(pmbus)
static LT_PMBusRail * | rail

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 112 of file DC1989A.ino.

## ◆ menu_1_basic_commands()

static void menu_1_basic_commands | ( |  | ) |
| static

Definition at line 219 of file DC1989A.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Definition at line 201 of file DC1989A.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 187 of file DC1989A.ino.

## ◆ print_warning_prompt()

static void print_warning_prompt | ( |  | ) |
| static

Prints a warning if the demo board is not detected.

Definition at line 214 of file DC1989A.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 95 of file DC1989A.ino.

## Macro Definition Documentation

## ◆ LTM4676_I2C_ADDRESS_0

#define LTM4676_I2C_ADDRESS_0 0x45

Linear Technology DC1989A Demonstration Board LTM4676: Dual Output PolyPhase Step-Down DC/DC Module with Digital Power System Management.

    NOTES
      Setup:
       Set the terminal baud rate to 115200 and select the newline terminator.

http://www.linear.com/product/LTM4676 http://www.linear.com/demo/DC1989A

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition at line 75 of file DC1989A.ino.

## ◆ LTM4676_I2C_ADDRESS_1

#define LTM4676_I2C_ADDRESS_1 0x46

Definition at line 76 of file DC1989A.ino.

## ◆ LTM4676_I2C_ADDRESS_2

#define LTM4676_I2C_ADDRESS_2 0x47

Definition at line 77 of file DC1989A.ino.

## ◆ LTM4676_I2C_ADDRESS_3

#define LTM4676_I2C_ADDRESS_3 0x48

Definition at line 78 of file DC1989A.ino.

## ◆ LTM4676_I2C_ADDRESS_R

#define LTM4676_I2C_ADDRESS_R 0x31

Definition at line 79 of file DC1989A.ino.

## Variable Documentation

## ◆ detector

LT_PMBusDetect* detector = new LT_PMBusDetect(pmbus)
| static

Definition at line 91 of file DC1989A.ino.

## ◆ ltm4676_i2c_address_0

uint8_t ltm4676_i2c_address_0
| static

Definition at line 82 of file DC1989A.ino.

## ◆ ltm4676_i2c_address_1

uint8_t ltm4676_i2c_address_1
| static

Definition at line 83 of file DC1989A.ino.

## ◆ ltm4676_i2c_address_2

uint8_t ltm4676_i2c_address_2
| static

Definition at line 84 of file DC1989A.ino.

## ◆ ltm4676_i2c_address_3

uint8_t ltm4676_i2c_address_3
| static

Definition at line 85 of file DC1989A.ino.

## ◆ ltm4676_i2c_address_r

uint8_t ltm4676_i2c_address_r
| static

Definition at line 86 of file DC1989A.ino.

## ◆ pages

uint8_t pages[2]
| static

Definition at line 87 of file DC1989A.ino.

## ◆ pmbus

LT_PMBus* pmbus = new LT_PMBus(smbus)
| static

Definition at line 90 of file DC1989A.ino.

## ◆ rail

LT_PMBusRail* rail
| static

Definition at line 92 of file DC1989A.ino.

## ◆ smbus

LT_SMBus* smbus = new LT_SMBusPec()
| static

Definition at line 89 of file DC1989A.ino.